
//exec("./mtlbclr.sce");
xdel(winsid());

// Load simulation parameters
exec("./parameters.sce");

importXcosDiagram("foc_open_loop_v3.zcos");

xcos_simulate(scs_m, 4);
xdel(winsid());

// Plots
scf(1);
subplot(241);
h1 = plot(motor_in.time, motor_in.values(:,1:3));
title("Vabc");
xgrid(1);

subplot(242);
h1 = plot(motor_in.time, motor_in.values(:,4));
title("Vq");
xgrid(1);

subplot(243);
h1 = plot(motor_in.time, motor_in.values(:,5));
title("Tload");
xgrid(1);

subplot(244);
h2 = plot(motor_out.time, motor_out.values(:,1:3));
title("Iabc");
xgrid(1);

subplot(245);
h3 = plot(motor_out.time, motor_out.values(:,4));
title("omega");
xgrid(1);

subplot(246);
h4 = plot(motor_out.time, motor_out.values(:,5));
title("torque");
xgrid(1);

subplot(247);
h4 = plot(motor_out.time, motor_out.values(:,6));
title("angle_qei");
xgrid(1);
