
//exec("./mtlbclr.sce");
xdel(winsid());

// Load simulation parameters
exec("./parameters.sce");

importXcosDiagram("foc_closed_loop.zcos");

xcos_simulate(scs_m, 4);
xdel(winsid());

// Plots
scf(1);
subplot(231);
h1 = plot(motor_in.time, motor_in.values(:,1:3));
title("Vabc");
xgrid(1);

subplot(232);
h2 = plot(motor_out.time, motor_out.values(:,1:3));
title("Iabc");
xgrid(1);

subplot(233);
h3 = plot(motor_out.time, motor_out.values(:,4));
title("omega");
xgrid(1);

subplot(234);
h4 = plot(motor_out.time, motor_out.values(:,5));
title("torque");
xgrid(1);


subplot(235);
h4 = plot(motor_out.time, id_iq.values(:,1));
title("Id");
xgrid(1);

subplot(236);
h4 = plot(motor_out.time, id_iq.values(:,2));
title("Iq");
xgrid(1);



